ASC

Spread는 전자(2바이트) 문자를 반자(1바이트) 문자로 변환하기 위한 ASC 함수를 제공합니다.

구문 text - (필수) 텍스트 또는 변경하려는 텍스트를 포함한 셀에 대한 참조. 텍스트에 전자 문자가 없는 경우에는 텍스트가 변경되지 않습니다. 사용법 참고 사항 이 함수는 전자 문자 기호, 문자, 가타카나를 반자 문자로 변환할 수 있습니다. 지원 대소문자 지원 항목 예시 문자 대상 문자 전자 문자 SpreadJS SpreadJS 전자 기호 !@#$ !@#$ 전자 가타카나 グループシテイ グループシテイ
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 2 }); initSpread(spread); }; function initSpread (spread) { spread.suspendPaint(); let sheet0 = spread.getSheet(0); sheet0.name("ASC usage"); setUsage(sheet0); let sheet1 = spread.getSheet(1); sheet1.name("ASC table"); setASCformulaInSheet(sheet1); spread.resumePaint(); } function setUsage (sheet) { setTable(sheet); sheet.setValue(3, 2, "Furigana (pronunciation of kanji name)"); sheet.setValue(4, 2, "Address"); sheet.setValue(5, 2, "Phone number"); sheet.setValue(6, 2, "Postal code"); sheet.setValue(3, 3, "ブドウ タロウ"); sheet.setValue(4, 3, "紫山3-1-4"); sheet.setValue(5, 3, "022-777-8210"); sheet.setValue(6, 3, "981-3205"); setFormula(sheet); } function setTable (sheet) { sheet.tables.add("DBCS", 2, 2, 5, 3); sheet.setColumnWidth(2, 165); sheet.setColumnWidth(3, 165); sheet.setColumnWidth(4, 185); sheet.setRowHeight(3, 50); sheet.setRowHeight(4, 50); sheet.setRowHeight(5, 50); sheet.setRowHeight(6, 50); sheet.setValue(2, 2, "Usage"); sheet.setValue(2, 3, "Example Characters"); sheet.setValue(2, 4, "Target Characters"); var style = new GC.Spread.Sheets.Style(); style.wordWrap = true; style.hAlign = GC.Spread.Sheets.HorizontalAlign.center; style.vAlign = GC.Spread.Sheets.VerticalAlign.center; sheet.setStyle(3, 2, style); sheet.setStyle(4, 2, style); sheet.setStyle(5, 2, style); sheet.setStyle(6, 2, style); } function setFormula (sheet) { sheet.setFormula(3, 4, "=ASC(D4)"); sheet.setFormula(4, 4, "=ASC(D5)"); sheet.setFormula(5, 4, "=ASC(D6)"); sheet.setFormula(6, 4, "=ASC(D7)"); } function setASCformulaInSheet (sheet) { let charCode = 12449; let rowIndexOffset = 1; sheet.addSpan(0, 0, 1, 4); sheet.setValue(0, 0, "Full width katakana:"); setASC(sheet, rowIndexOffset, charCode, 90); //FULL width katakana charCode = 65281; rowIndexOffset += 6; sheet.addSpan(6, 0, 1, 4); sheet.setValue(6, 0, "Full width symbol and letter:"); setASC(sheet, rowIndexOffset, charCode, 94); // FW symbol and letter } function setASC (sheet, rowIndexOffset, charCodeStart, count) { let str = "", i = 0; for (i; i < count; i++) { str = String.fromCharCode(charCodeStart + i); let rowIndex = Math.floor(i / 20) + rowIndexOffset; let columnIndex = i % 20; sheet.setFormula(rowIndex, columnIndex, `=ASC("${str}")`); } }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta name="spreadjs culture" content="ko-kr"/> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%; height:100%;"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

구문
text - (필수) 텍스트 또는 변경하려는 텍스트를 포함한 셀에 대한 참조. 텍스트에 전자 문자가 없는 경우에는 텍스트가 변경되지 않습니다.
사용법 참고 사항
이 함수는 전자 문자 기호, 문자, 가타카나를 반자 문자로 변환할 수 있습니다.
지원 대소문자
지원 항목
예시 문자
대상 문자
전자 문자
SpreadJS
SpreadJS
전자 기호
!@#$
!@#$
전자 가타카나
グループシテイ
グループシテイ
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
const spreadRef = ref(null);
let initSpread = function (spread) {
spreadRef.value = spread;
spread.suspendPaint();
let sheet0 = spread.getSheet(0);
sheet0.name("ASC usage");
setUsage(sheet0);
let sheet1 = spread.getSheet(1);
sheet1.name("ASC table");
setASCformulaInSheet(sheet1);
spread.resumePaint();
}
let setUsage = function (sheet) {
setTable(sheet);
sheet.setValue(3, 2, "Furigana (pronunciation of kanji name)");
sheet.setValue(4, 2, "Address");
sheet.setValue(5, 2, "Phone number");
sheet.setValue(6, 2, "Postal code");
sheet.setValue(3, 3, "ブドウ タロウ");
sheet.setValue(4, 3, "紫山3-1-4");
sheet.setValue(5, 3, "022-777-8210");
sheet.setValue(6, 3, "981-3205");
setFormula(sheet);
}
let setTable = function (sheet) {
sheet.tables.add("DBCS", 2, 2, 5, 3);
sheet.setColumnWidth(2, 165);
sheet.setColumnWidth(3, 165);
sheet.setColumnWidth(4, 185);
sheet.setRowHeight(3, 50);
sheet.setRowHeight(4, 50);
sheet.setRowHeight(5, 50);
sheet.setRowHeight(6, 50);
sheet.setValue(2, 2, "Usage");
sheet.setValue(2, 3, "Example Characters");
sheet.setValue(2, 4, "Target Characters");
let style = new GC.Spread.Sheets.Style();
style.wordWrap = true;
style.hAlign = GC.Spread.Sheets.HorizontalAlign.center;
style.vAlign = GC.Spread.Sheets.VerticalAlign.center;
sheet.setStyle(3, 2, style);
sheet.setStyle(4, 2, style);
sheet.setStyle(5, 2, style);
sheet.setStyle(6, 2, style);
}
let setFormula = function (sheet) {
sheet.setFormula(3, 4, "=ASC(D4)");
sheet.setFormula(4, 4, "=ASC(D5)");
sheet.setFormula(5, 4, "=ASC(D6)");
sheet.setFormula(6, 4, "=ASC(D7)");
sheet.setFormula(7, 4, "=ASC(D8)");
sheet.setFormula(8, 4, "=ASC(D9)");
sheet.setFormula(9, 4, "=ASC(D10)");
sheet.setFormula(10, 4, "=ASC(D11)");
}
let setASCformulaInSheet = function (sheet) {
let charCode = 12449;
let rowIndexOffset = 1;
sheet.setValue(0, 0, "Full width katakana:");
setASC(sheet, rowIndexOffset, charCode, 90); //FULL width katakana
charCode = 65281;
rowIndexOffset += 6;
sheet.addSpan(6, 0, 1, 4);
sheet.setValue(6, 0, "Full width symbol and letter:");
setASC(sheet, rowIndexOffset, charCode, 94); // FW symbol and letter
}
let setASC = function (sheet, rowIndexOffset, charCodeStart, count) {
let str = "",
i = 0;
for (i; i < count; i++) {
str = String.fromCharCode(charCodeStart + i);
let rowIndex = Math.floor(i / 20) + rowIndexOffset;
let columnIndex = i % 20;
sheet.setFormula(rowIndex, columnIndex, `=ASC("${str}")`);
}
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
#switchAutoMergeMode {
margin: 10px 0px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/ko/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/ko/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

구문
text - (필수) 텍스트 또는 변경하려는 텍스트를 포함한 셀에 대한 참조. 텍스트에 전자 문자가 없는 경우에는 텍스트가 변경되지 않습니다.
사용법 참고 사항
이 함수는 전자 문자 기호, 문자, 가타카나를 반자 문자로 변환할 수 있습니다.
지원 대소문자
지원 항목
예시 문자
대상 문자
전자 문자
SpreadJS
SpreadJS
전자 기호
!@#$
!@#$
전자 가타카나
グループシテイ
グループシテイ
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
export function AppFunc() {
const initSpread = (spread) => {
spread.suspendPaint();
let sheet0 = spread.getSheet(0);
sheet0.name("ASC usage");
setUsage(sheet0);
let sheet1 = spread.getSheet(1);
sheet1.name("ASC table");
setASCformulaInSheet(sheet1);
spread.resumePaint();
}
const setUsage = (sheet) => {
setTable(sheet);
sheet.setValue(3, 2, "Furigana (pronunciation of kanji name)");
sheet.setValue(4, 2, "Address");
sheet.setValue(5, 2, "Phone number");
sheet.setValue(6, 2, "Postal code");
sheet.setValue(3, 3, "ブドウ タロウ");
sheet.setValue(4, 3, "紫山3-1-4");
sheet.setValue(5, 3, "022-777-8210");
sheet.setValue(6, 3, "981-3205");
setFormula(sheet);
}
const setTable = (sheet) => {
sheet.tables.add("DBCS", 2, 2, 5, 3);
sheet.setColumnWidth(2, 165);
sheet.setColumnWidth(3, 165);
sheet.setColumnWidth(4, 185);
sheet.setRowHeight(3, 50);
sheet.setRowHeight(4, 50);
sheet.setRowHeight(5, 50);
sheet.setRowHeight(6, 50);
sheet.setValue(2, 2, "Usage");
sheet.setValue(2, 3, "Example Characters");
sheet.setValue(2, 4, "Target Characters");
var style = new GC.Spread.Sheets.Style();
style.wordWrap = true;
style.hAlign = GC.Spread.Sheets.HorizontalAlign.center;
style.vAlign = GC.Spread.Sheets.VerticalAlign.center;
sheet.setStyle(3, 2, style);
sheet.setStyle(4, 2, style);
sheet.setStyle(5, 2, style);
sheet.setStyle(6, 2, style);
}
const setFormula = (sheet) => {
sheet.setFormula(3, 4, "=ASC(D4)");
sheet.setFormula(4, 4, "=ASC(D5)");
sheet.setFormula(5, 4, "=ASC(D6)");
sheet.setFormula(6, 4, "=ASC(D7)");
sheet.setFormula(7, 4, "=ASC(D8)");
sheet.setFormula(8, 4, "=ASC(D9)");
sheet.setFormula(9, 4, "=ASC(D10)");
sheet.setFormula(10, 4, "=ASC(D11)");
}
const setASCformulaInSheet = (sheet) => {
let charCode = 12449;
let rowIndexOffset = 1;
sheet.setValue(0, 0, "Full width katakana:");
setASC(sheet, rowIndexOffset, charCode, 90); //FULL width katakana
charCode = 65281;
rowIndexOffset += 6;
sheet.addSpan(6, 0, 1, 4);
sheet.setValue(6, 0, "Full width symbol and letter:");
setASC(sheet, rowIndexOffset, charCode, 94); // FW symbol and letter
}
const setASC = (sheet, rowIndexOffset, charCodeStart, count) => {
let str = "", i = 0;
for (i; i < count; i++) {
str = String.fromCharCode(charCodeStart + i);
let rowIndex = Math.floor(i / 20) + rowIndexOffset;
let columnIndex = i % 20;
sheet.setFormula(rowIndex, columnIndex, `=ASC("${str}")`);
}
}
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor (props) {
super(props);
}
render () {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread (spread) {
spread.suspendPaint();
let sheet0 = spread.getSheet(0);
sheet0.name("ASC usage");
this.setUsage(sheet0);
let sheet1 = spread.getSheet(1);
sheet1.name("ASC table");
this.setASCformulaInSheet(sheet1);
spread.resumePaint();
}
setUsage (sheet) {
this.setTable(sheet);
sheet.setValue(3, 2, "Furigana (pronunciation of kanji name)");
sheet.setValue(4, 2, "Address");
sheet.setValue(5, 2, "Phone number");
sheet.setValue(6, 2, "Postal code");
sheet.setValue(3, 3, "ブドウ タロウ");
sheet.setValue(4, 3, "紫山3-1-4");
sheet.setValue(5, 3, "022-777-8210");
sheet.setValue(6, 3, "981-3205");
this.setFormula(sheet);
}
setTable (sheet) {
sheet.tables.add("DBCS", 2, 2, 5, 3);
sheet.setColumnWidth(2, 165);
sheet.setColumnWidth(3, 165);
sheet.setColumnWidth(4, 185);
sheet.setRowHeight(3, 50);
sheet.setRowHeight(4, 50);
sheet.setRowHeight(5, 50);
sheet.setRowHeight(6, 50);
sheet.setValue(2, 2, "Usage");
sheet.setValue(2, 3, "Example Characters");
sheet.setValue(2, 4, "Target Characters");
var style = new GC.Spread.Sheets.Style();
style.wordWrap = true;
style.hAlign = GC.Spread.Sheets.HorizontalAlign.center;
style.vAlign = GC.Spread.Sheets.VerticalAlign.center;
sheet.setStyle(3, 2, style);
sheet.setStyle(4, 2, style);
sheet.setStyle(5, 2, style);
sheet.setStyle(6, 2, style);
}
setFormula (sheet) {
sheet.setFormula(3, 4, "=ASC(D4)");
sheet.setFormula(4, 4, "=ASC(D5)");
sheet.setFormula(5, 4, "=ASC(D6)");
sheet.setFormula(6, 4, "=ASC(D7)");
sheet.setFormula(7, 4, "=ASC(D8)");
sheet.setFormula(8, 4, "=ASC(D9)");
sheet.setFormula(9, 4, "=ASC(D10)");
sheet.setFormula(10, 4, "=ASC(D11)");
}
setASCformulaInSheet (sheet) {
let charCode = 12449;
let rowIndexOffset = 1;
sheet.setValue(0, 0, "Full width katakana:");
this.setASC(sheet, rowIndexOffset, charCode, 90); //FULL width katakana
charCode = 65281;
rowIndexOffset += 6;
sheet.addSpan(6, 0, 1, 4);
sheet.setValue(6, 0, "Full width symbol and letter:");
this.setASC(sheet, rowIndexOffset, charCode, 94); // FW symbol and letter
}
setASC (sheet, rowIndexOffset, charCodeStart, count) {
let str = "", i = 0;
for (i; i < count; i++) {
str = String.fromCharCode(charCodeStart + i);
let rowIndex = Math.floor(i / 20) + rowIndexOffset;
let columnIndex = i % 20;
sheet.setFormula(rowIndex, columnIndex, `=ASC("${str}")`);
}
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
#switchAutoMergeMode {
margin: 10px 0px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

구문
text - (필수) 텍스트 또는 변경하려는 텍스트를 포함한 셀에 대한 참조. 텍스트에 전자 문자가 없는 경우에는 텍스트가 변경되지 않습니다.
사용법 참고 사항
이 함수는 전자 문자 기호, 문자, 가타카나를 반자 문자로 변환할 수 있습니다.
지원 대소문자
지원 항목
예시 문자
대상 문자
전자 문자
SpreadJS
SpreadJS
전자 기호
!@#$
!@#$
전자 가타카나
グループシテイ
グループシテイ
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor () {
}
initSpread ($event: any) {
let spread = this.spread = $event.spread;
spread.suspendPaint();
let sheet0 = spread.getSheet(0);
sheet0.name("ASC usage");
this.setUsage(sheet0);
let sheet1 = spread.getSheet(1);
sheet1.name("ASC table");
this.setASCformulaInSheet(sheet1);
spread.resumePaint();
}
setUsage (sheet: GC.Spread.Sheets.Worksheet) {
this.setTable(sheet);
sheet.setValue(3, 2, "Furigana (pronunciation of kanji name)");
sheet.setValue(4, 2, "Address");
sheet.setValue(5, 2, "Phone number");
sheet.setValue(6, 2, "Postal code");
sheet.setValue(3, 3, "ブドウ タロウ");
sheet.setValue(4, 3, "紫山3-1-4");
sheet.setValue(5, 3, "022-777-8210");
sheet.setValue(6, 3, "981-3205");
this.setFormula(sheet);
}
setTable (sheet: GC.Spread.Sheets.Worksheet) {
sheet.tables.add("DBCS", 2, 2, 5, 3);
sheet.setColumnWidth(2, 165);
sheet.setColumnWidth(3, 165);
sheet.setColumnWidth(4, 185);
sheet.setRowHeight(3, 50);
sheet.setRowHeight(4, 50);
sheet.setRowHeight(5, 50);
sheet.setRowHeight(6, 50);
sheet.setValue(2, 2, "Usage");
sheet.setValue(2, 3, "Example Characters");
sheet.setValue(2, 4, "Target Characters");
var style = new GC.Spread.Sheets.Style();
style.wordWrap = true;
style.hAlign = GC.Spread.Sheets.HorizontalAlign.center;
style.vAlign = GC.Spread.Sheets.VerticalAlign.center;
sheet.setStyle(3, 2, style);
sheet.setStyle(4, 2, style);
sheet.setStyle(5, 2, style);
sheet.setStyle(6, 2, style);
}
setFormula (sheet: GC.Spread.Sheets.Worksheet) {
sheet.setFormula(3, 4, "=ASC(D4)");
sheet.setFormula(4, 4, "=ASC(D5)");
sheet.setFormula(5, 4, "=ASC(D6)");
sheet.setFormula(6, 4, "=ASC(D7)");
sheet.setFormula(7, 4, "=ASC(D8)");
sheet.setFormula(8, 4, "=ASC(D9)");
sheet.setFormula(9, 4, "=ASC(D10)");
sheet.setFormula(10, 4, "=ASC(D11)");
}
setASCformulaInSheet (sheet: GC.Spread.Sheets.Worksheet) {
let charCode = 12449;
let rowIndexOffset = 1;
sheet.addSpan(0, 0, 1, 4);
sheet.setValue(0, 0, "Full width katakana:");
this.setASC(sheet, rowIndexOffset, charCode, 90); //FULL width katakana
charCode = 65281;
rowIndexOffset += 6;
sheet.addSpan(6, 0, 1, 4);
sheet.setValue(6, 0, "Full width symbol and letter:");
this.setASC(sheet, rowIndexOffset, charCode, 94); // FW symbol and letter
}
setASC (sheet: GC.Spread.Sheets.Worksheet, rowIndexOffset: number, charCodeStart: number, count: number) {
let str = "", i = 0;
for (i; i < count; i++) {
str = String.fromCharCode(charCodeStart + i);
let rowIndex = Math.floor(i / 20) + rowIndexOffset;
let columnIndex = i % 20;
sheet.setFormula(rowIndex, columnIndex, `=ASC("${str}")`);
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);